Skip to navigation

Update Holiday Name

Update the name of a Holiday based on the information provided.

The Holiday record has a "name" or "reason" that can be used to identify the name of the Holiday. When a Holiday is specific to an individual person, it may have a reason identifying why the resource is taking paid time off. You can update this name or reason, but you cannot change the other values for a Holiday. To change a Holiday's date, resource ID, or country, you must delete the Holiday and create a new one.

A Holiday is a defined date when one or more Resources are not available for work. Holidays may be defined by Workspace, by Country, or by Resource. A Workspace Holiday means that no Resources in the Workspace are working for that date. A Country Holiday means that no Resources in the Workspace located within the country are working for that date. A Resource Holiday means that the specified Resource is not working on that date.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"
Unique identifier of the holiday

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Request

Information to be updated for the Holiday
reasonstringOptional
Updated reason or label for the holiday.

Response

Success
errorobject or nullOptional
If the API call failed, this will contain information about the error that occurred.
successbooleanOptionalRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanOptionalRead-only
True if the API call failed.
statusCodeenumOptional
The HTTP code of the response.
dataobjectOptional
A holiday returned when fetching by id or after create or update.